Bug 620161 - Digikam memory leak
Digikam memory leak
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: digikam (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-01 07:24 EDT by Marek Zukal
Modified: 2011-06-29 08:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:41:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Zukal 2010-08-01 07:24:08 EDT
Description of problem:
Digikam uses an unreasonable amount of memory

Version-Release number of selected component (if applicable):
Version 1.2.0

How reproducible:
Always

Steps to Reproduce:
1.Start digikam
2.edit a few photos
  
Actual results:
Digikam is not freeing used memory. All the work is very slow. 

Expected results:


Additional info:
A few lines from top


top - 13:14:10 up  2:44,  4 users,  load average: 2.95, 1.67, 1.19
Tasks: 201 total,   1 running, 200 sleeping,   0 stopped,   0 zombie
Cpu(s): 47.4%us, 19.2%sy,  0.0%ni, 16.7%id, 16.7%wa,  0.0%hi,  0.0%si,  0.0%st
Mem:   1539908k total,  1427624k used,   112284k free,     5604k buffers
Swap:  2096440k total,  1168808k used,   927632k free,   163856k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND                                                                                             
 5706 zippy     20   0 2654m 517m  17m S 33.0 34.4   4:39.99 digikam                                                                                             
 1921 root      20   0  512m 148m  33m S 19.0  9.9  14:40.56 Xorg
Comment 1 Rex Dieter 2010-08-22 17:34:06 EDT
I opened digikam,

26679 rdieter1  20   0 2077m 170m  51m S 23.6  5.2   0:03.83 digikam

edited a few pictures, using sharpen, red-eye,  

26481 rdieter1  20   0 2332m 270m  52m S  0.3  8.3   0:11.08 digikam

grew a little, but not exactly conclusive evidence of any leaks yet.
Comment 2 Marek Zukal 2010-08-24 03:36:01 EDT
I uninstalled debuginfo packages and tried again. The app is a bit quicker but still hogs up the memory. 

start:
3253 zippy     20   0 1839m 262m  45m S  2.0 17.5   0:09.91 digikam  

edited about 20 photos in 12Mpx. Crop and curves mostly.

3253 zippy     20   0 2475m 764m  16m S  1.1 50.9   5:25.90 digikam 

My system is x86_64.
Comment 3 Rex Dieter 2010-11-23 12:11:57 EST
Mind posting your findings upstream to bugs.kde.org ?  or even to it's mailing list,
http://www.digikam.org/?q=support#mailinglists
Comment 4 Bug Zapper 2011-06-01 08:22:15 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-29 08:41:55 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.